Commit Session for Revision Upload

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

During revision upload, after uploading a new version of an already existing file, in order to finish uploading the chunks and complete the created session, this API is called.

Note:
  • resource_id in the URL should be existing file's resource_id.
Status codes:
  • 200 - Commit session completed successfully.
  • 400 - Commit session failed. Given upload-id is expired or upload session has expired.
  • 401 - Commit session failed.Given parent-id and upload session parent-id are not the same.
  • 404 - Commit session failed. Invalid Upload ID.
  • 412 - Commit session failed. Upload session has already been completed or chunks are yet to be uploaded.
Endpoints

OAuth Scope

WorkDrive.files.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url 'https://www.zohoapis.com/workdrive/api/v1/uploadsession/{resource_id}/commit?upload_id={upload_id}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

Unique id of the resource.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

upload_idstring(Required)

Upload ID from Create session API.

Response Example

200
200
400
401
412
Copied!
200 Success
400 Bad Request
401 Unauthorized
412 Precondition Failed
Show full